package totallynotmalware.ui;

import javax.swing.BoxLayout;
import javax.swing.JFrame;

import totallynotmalware.i18n.I18n;

public class MainWindow extends JFrame {
	
	private static final long serialVersionUID = 2362142071956236158L;
	
	private BoxLayout layout;
	private LeftImage leftImage;
	private RightPanel rightPanel;
	
	public MainWindow() {
		super();
		
		this.layout=new BoxLayout(this.getContentPane(), BoxLayout.X_AXIS);
		
		this.leftImage=new LeftImage();
		this.rightPanel=new RightPanel();
		
		this.setLayout(this.layout);
		
		this.add(this.leftImage);
		this.add(this.rightPanel);
		
		this.rightPanel.addButtonListener(new ButtonListener(this.rightPanel));
		
		this.setTitle(I18n.get("title"));
		this.pack();
		this.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		this.setResizable(false);
	}
}
